Name:           mujs
Version:        1.3.2
Release:    1%{?dist}
Summary:        An embeddable Javascript interpreter
License:        ISC
URL:            https://mujs.com/
Source0:        https://mujs.com/downloads/%{name}-%{version}.tar.gz

BuildRequires:  gcc
BuildRequires:  grep
BuildRequires:  make
BuildRequires:  readline-devel

%description
MuJS is a lightweight Javascript interpreter designed for embedding in
other software to extend them with scripting capabilities.

%package devel
Summary:        MuJS development files
Requires:       %{name} = %{version}-%{release}
Provides:       %{name}-static = %{version}-%{release}

%description devel
This package provides the MuJS static library.

%prep
%setup -q -n %{name}-%{version}
chmod a-x -v docs/*

%build
%make_build debug %{?_smp_mflags} XCFLAGS="%{optflags} -fPIC" LDFLAGS="%{?__global_ldflags}"

%install
%make_install prefix="%{_prefix}" libdir="%{_libdir}" \
 XCFLAGS="%{optflags} -fPIC" LDFLAGS="%{?__global_ldflags}"


%files
%license COPYING
%doc AUTHORS README docs
%{_bindir}/%{name}

%files devel
%license COPYING
%doc AUTHORS README
%{_libdir}/pkgconfig/%{name}.pc
%{_includedir}/%{name}.h
%{_libdir}/lib%{name}.a


%changelog
* Fri Apr 12 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.3.2-1
- initial build
